<?php

use WpBookingEvent\Factory;
use WpBookingEvent\Mvc\Model\Model as ModelAlias;
use WpBookingEvent\Utilities\Utility;
use WpBookingEvent\Html\WpBookingEventHtmlBackend as WpBookingEventHtmlBackendAlias;
use WpBookingEvent\Language\Text;
defined('_WPBOOKINGEVENT_EXEC') or die;
extract($displayData);

WpBookingEventHtmlBackendAlias::load_jquery_library('auto_numeric');



$doc = Factory::getDocument();
$orderstatusModel= ModelAlias::getInstance('orderstatuss');
$list=$orderstatusModel->getList();
$id_by_name = "element_field_". $name;
?>
    <div id="<?php esc_attr_e($id_by_name) ?>" class="field-orderstatus">
        <div class="wrapper-orderstatus">
            <select class="orderstatus" name="<?php esc_attr_e($name); ?>">
                <?php foreach ($list as $item){ ?>
                    <option <?php echo ($item->id===$value?' selected ':'') ?> value="<?php esc_attr_e($item->id); ?>"><?php esc_html_e($item->name); ?></option>
                <?php } ?>
            </select>
        </div>
    </div>
<?php
$doc->addScriptApplySelector("#$id_by_name",'field_orderstatus',array(
    "input_name"=>  $name,
),'admin/app/layouts/WooBooking/form/field/orderstatus/jquery.orderstatus.js');
